"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var graphql_1 = require("graphql");
var rulesToIgnore = ['KnownFragmentNames', 'NoUnusedFragments', 'NoUnusedVariables', 'KnownDirectives'];
var effectiveRules = graphql_1.specifiedRules.filter(function (f) { return !rulesToIgnore.includes(f.name); });
exports.validateGraphQlDocuments = function (schema, documentFiles) {
    return documentFiles
        .map(function (result) { return ({
        filePath: result.filePath,
        errors: graphql_1.validate(schema, result.content, effectiveRules)
    }); })
        .filter(function (r) { return r.errors.length > 0; });
};
//# sourceMappingURL=validate-documents.js.map